Bug 883358 (CVE-2012-5468) - CVE-2012-5468 bogofilter: Heap-based buffer overflow by decoding invalid base64 code (that decodes to incomplete multibyte characters)
Summary: CVE-2012-5468 bogofilter: Heap-based buffer overflow by decoding invalid base...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-5468
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 883359 883360
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-04 11:59 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 05:05:02 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2012-12-04 11:59:01 UTC
A heap-based buffer overflow flaw was found in the way bogolexer component of Bogofilter, fast anti-spam filtering tool by Bayesian statistical analysis, performed decoding of certain base64 strings. A remote attacker could provide a specially-crafted base64 code (decoding to incomplete multibyte characters) that, when processed, would lead to bogolexer executable crash or, potentially, arbitrary code execution with the privileges of the user running the binary.

Upstream advisory:
[1] http://bogofilter.sourceforge.net/security/bogofilter-SA-2012-01

References:
[2] http://www.openwall.com/lists/oss-security/2012/12/03/13

Relevant upstream patch:
[3] http://bogofilter.svn.sourceforge.net/viewvc/bogofilter?view=revision&revision=6973

Reproducer / regression test:
[4] http://bogofilter.svn.sourceforge.net/viewvc/bogofilter?view=revision&revision=6975

Comment 1 Jan Lieskovsky 2012-12-04 12:00:51 UTC
This issue affects the versions of the bogofilter package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the versions of the bogofilter package, as shipped with Fedora EPEL 5 and Fedora EPEL 6. Please schedule an update.

Comment 2 Jan Lieskovsky 2012-12-04 12:02:14 UTC
Created bogofilter tracking bugs for this issue

Affects: fedora-all [bug 883359]
Affects: epel-all [bug 883360]

Comment 3 Fedora Update System 2012-12-13 05:57:14 UTC
bogofilter-1.2.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2012-12-13 05:58:50 UTC
bogofilter-1.2.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-12-21 00:32:46 UTC
bogofilter-1.2.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-12-21 00:33:58 UTC
bogofilter-1.2.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-01-12 01:12:20 UTC
bogofilter-1.2.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Georg Sauthoff 2018-09-20 13:12:26 UTC
Shouldn't this issue be closed?

Comment 9 Adrian Reber 2019-02-18 20:32:59 UTC
Hello Red Hat Product Security,

can this bug be closed? Both bugs this depends on have been closed. So it looks like this could also be closed.


Note You need to log in before you can comment on or make changes to this bug.